Data Tables
Read Data Table
Read an existing data table, identified by its ID.
Permissions
api.data-tables.read
GET
/
v1
/
data-tables
/
{dataTableId}
Read Data Table
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/data-tables/{dataTableId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.mindbridge.ai/api/v1/data-tables/{dataTableId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/data-tables/{dataTableId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"engagementId": "<string>",
"analysisId": "<string>",
"analysisResultId": "<string>",
"logicalName": "<string>",
"type": "<string>",
"apiStability": "STABLE",
"columns": [
{
"originalName": "<string>",
"field": "<string>",
"mindBridgeField": "<string>",
"type": "STRING",
"nullable": true,
"equalitySearch": true,
"rangeSearch": true,
"sortable": true,
"containsSearch": true,
"keywordSearch": true,
"caseInsensitiveSubstringSearch": true,
"caseInsensitivePrefixSearch": true,
"filterOnly": true,
"typeaheadDataTableId": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
OK
The unique object identifier.
Identifies the associated engagement.
Identifies the associated analysis.
Identifies the associated analysis results.
The name of the data table.
The type of data table.
Indicates whether the data table is stable or may change or be removed in future API versions.
Available options:
STABLE, UNSTABLE Details about the data table columns.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Read Data Table

